# Versionsöversikt

Med start efter version 1.14.0 kommer vi tillhandahålla kommentarer till utgåvor genom AppData-filen. På så sätt kan programbutiker (som GNOME Programvara) visa kommentarer till utgåvor för användare.

Textutmatning som är läslig för människor kan lätt skapas med följande kommando:

`appstream-util appdata-to-news /usr/share/metainfo/org.gnome.gnome-commander.appdata.xml`

Version | Utgivningsdatum | Vad är nytt
--- | --- | ---

1.14.0

2022-02-05

Felfixar:

- Fixade ärende #3 (Monterade enheter som pluggas in då Commander körs upptäcks inte)

- Fixade ärende #5 (Alternativet ”Följ länkar” fungerar inte vid kopiering av filer)

- Fixade ärende #13 (Katalogstorlek uppdateras inte vid kopiering)

- Fixade ärende #16 (Start-left-dir fungerar inte på ”.” (punktkatalog))

- Fixade ärende #19 (FTP-anslutningar stängs inte korrekt)

- Fixade ärende #28 (Skrivrättigheter ges till alla användare på en FTP-server)

- Fixade ärende #33 (Bli av med föråldrade gnome-vfs)

- Fixade ärende #39 (Kopieringsmisslyckande när en ”enhet” väljs)

- Fixade ärende #41 (Katalog avrefereras inte korrekt från cache när den byter namn)

- Fixade ärende #45 (Gnome Commander stängs vid klick på SMB-sökvägen \\xxx\dddddd)

- Fixade ärende #46 (Automatisk uppdatering av mappinnehåll är felaktigt)

- Fixade ärende #47 (Dubblerad katalog vid kopiering över en befintlig katalog)

- Fixade ärende #51 (Flytta istället för kopiera som standard på samma filsystem)

- Fixade ärende #52 (Automatisk uppdatering vid ändringar av rättigheter o.s.v.)

- Fixade ärende #57 (Fjärranslutningar: Gnome Commander misstolkar filägarskap)

- Fixade ärende #59 (Vid ssh-anslutning fungerar det inte att ta bort en mapp/fil som har bytt namn)

- Fixade ärende #74 (Visar inte monterade externa enheter)

- Fixade ärende #75 (Nyinsatta dvd-skivor dyker inte upp)

- Fixade ärende #76 (Krasch i Gnome Commander när webDAV SSL används)

- Fixade ärende #107 (Felaktig tolkning av kommandosträng)

- Fixade ärende #155 (Inget fel under autogen när flex saknas)

Nya funktioner:

- Valbar standardåtgärd vid drag-och-släpp av filer med musen

- Valfri användning av papperskorgen istället för permanent borttagning av filer (se ärende #2)

- Tog bort intern filsökningsdialog, använd i stället externt kommando för filsökning

- Namn på ansluten fjärrserver visas i katalogindikatorn (se ärende #71)

- Nytt menyobjekt för att (av)markera endast filer

- Lista över utvecklare: Uwe Scholz, Mamoru Tasaka, Andrey Sokolov, Maik Pertermann, Philipp Kiemle

- Nya eller uppdaterade översättningar: ca, cs, da, de, es, eu, fi, hu, id, pl, pt_BR, ro, ru, sl, sr, sv, tr, uk, zh_CN

- Ny eller uppdaterad dokumentation: es, sv

1.12.3.1

2021-11-21

Felfixar:

- Fixade ärende #110 (Make check misslyckas på s390x, tack till Mamoru Tasaka)

Nya funktioner:

- Nya eller uppdaterade översättningar: pl, sv, uk

- Ny eller uppdaterad dokumentation: sv

1.12.3

2021-11-20

Felfixar:

- Fixade ärende #108 (Krasch efter högerklick på fil)

- File-roller-insticksmodul: Lägg till felhantering av körning (Tack till Andrey Sokolov)

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, de, hu, ru

- Ny eller uppdaterad dokumentation: sv

1.12.2

2021-05-29

Felfixar:

- Fixade ärende #104 (Segmenteringsfel då Ctrl+Höger / Ctrl+Vänster / Ctrl+Skift+. trycks ned)

Nya funktioner:

- Nya eller uppdaterade översättningar: es, id, ro

- Ny eller uppdaterad dokumentation: sv

1.12.1

2021-04-17

Felfixar:

- Fixade ärende #12 (Fråga en andra gång vid försök till borttagning av en ej tom katalog)

- Fixade ärende #97 (”Kör” visas inte i filpoppuppmenyn för körbara filer)

- Fixade ärende #98 (”Kör” fungerar inte på filer med blanksteg i filnamnet)

- Fixade ärende #55 (Tema ändras inte i alla flikar då det tillämpas)

- Fixade ärende #102 (Kompileringsfel då TagLib inte är tillgängligt)

- Fixade ärende #103 (Krasch när en tom sträng anges för sökning)

Nya funktioner:

- Nya eller uppdaterade översättningar: pl, pt_BR, sr, sv, uk

- Ny eller uppdaterad dokumentation: sv

1.12.0

2021-03-25

Felfixar:

- Fixade ärende #95 (InternalViewer: Rulla bilder via musen, musens rullhjul eller tangentbordets piltangenter)

- Fixade ärende #96 (Segmenteringsfel då fil/katalogegenskaper öppnas med tangentbordet)

Nya funktioner:

- Använd GIO istället för Gnome-VFS för att öppna filer med standardprogram

- Använd GIO istället för Gnome-VFS för att filtrera fillistan, och i diverse andra delar av programmet

- Nya eller uppdaterade översättningar: ca, cs, da, de, eo, es, eu, fi, hu, id, kk, pl, pt_BR, ro, sl, sr, tr, uk

- Ny eller uppdaterad dokumentation: cs, de, es, sv

1.10.3

2020-06-19

Felfixar:

- Fixade ärende #29 (Migrera föråldrad GnomeFileEntry till GtkFileChooserButton)

- Fixade ärende #34 (Bli av med föråldrade libgnome och libgnomeui)

- Fixade ärende #65 (Sökalternativ: ”kopiera filnamn” fungerar inte)

- Växla från nautilus-sendto till xdg-email som standardkommando för e-postsändning

Nya funktioner:

- InternalViewer: Visa metadatafilinformation som standard

- Små förbättringar för minneshantering

- Nya eller uppdaterade översättningar: cs, de, es, eu, id, id, pl, pt_BR, pt_BR, sv, uk

- Ny eller uppdaterad dokumentation: cs, es

1.10.2

2019-05-16

Felfixar:

- Fix för kompileringsfel med exiv2 0.27.1 (Tack till Mamoru Tasaka)

Nya funktioner:

- Ny eller uppdaterad dokumentation: es

1.10.1

2019-05-12

Felfixar:

- ...

- Tog bort referenser till gnome-config, vilket fixar bgo#570733 och ärende #27 på GitLab

Nya funktioner:

- ...

- Sökfönstret kan valfritt minimeras eller flyttas bakom huvudfönstret

- Nya eller uppdaterade översättningar: ar, bg dz, de, en_CA, en_GB, es, ga, hr, hu, ne, pl, pt_BR, rw, sq, vi, zh_TW

- Ny eller uppdaterad dokumentation: de, es

1.10.0

2019-03-31

Felfixar:

- Diverse varningar vid kompileringstid har fixats

- Flera kodförbättringar och minnesläckor har fixats

Nya funktioner:

- Ikon för GNOME Commander och intern visare har uppdaterats

- Gnome Commander-inställningar är nu fullständigt migrerade till GSettings under nyckeln ”org.gnome.gnome-commander”

- Alternativ i ~/.gnome2/gnome-commander och i ~/.gnome-commander/* migreras automatiskt

- Skript- och insticksmodul-mapp i ~/.gnome-commander har flyttats till ~/.config/gnome-commander

- Nya eller uppdaterade översättningar: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Ny eller uppdaterad dokumentation: cs, de, es, sv

1.8.1

2018-03-04

Felfixar:

- Fixa enkelt skriptsystem för filnamn med blanksteg

- Fixade bgo#785505: Problem vid kompilering av GCMD med flex 2.6.4

Nya funktioner:

- Lagra storleken på dialogrutan för alternativ då den stängs

- Ta bort onödiga kantlinjer från flikarna i dialogrutan för alternativ (tack till Elijah)

- Tog fullständigt bort python-stöd

- Nya eller uppdaterade översättningar: cs, da, de, es, hu, id, pl, pt_BR, sr, sr@latin, sv

- Ny eller uppdaterad dokumentation: cs, de, es

1.8.0

2017-08-10

Nya funktioner:

- Snabbsökning kan aktiveras genom att bara skriva en bokstav, justerbart i alternativfliken

- Alternativ för att spara/inte spara kommandoradshistorik vid avslut

- Alternativ för att spara/inte spara sökhistorik vid avslut

- La till ett inställningsalternativ för att avgöra om terminalfönstret ska förbli öppet då ett kommando slutförs

- [bygge] Använd inte längre gnome-autogen.sh (Många tack till Philip Withnall och David King)

- [bygge] Översättningar hanteras nu av uppströms gettext istället för intltool

- [bygge] Ny dokumentationsinfrastruktur: Använd yelp-tools istället för gnome-doc-utils

Andra ändringar:

- Ökade minsta GTK-version från 2.8.0 till 2.18.0

- Koduppstädning

Felfixar:

- [bygge] Python hittas nu även under byggtid, då dess version är större än eller lika med 3.x

- Nya eller uppdaterade översättningar: ca, cs, de, eo, es, fi, hu, id, pl, pt_BR, sl, sr, sr@latin, sv

- Ny eller uppdaterad dokumentation: cs, de, es

1.6.4

2017-05-28

Felfixar:

- Fixade problem bgo#779574 (Andra favoritprogram-inställning sparas inte)

- Fixade problem bgo#619112 (Internt visningsprogram visar som standard felaktiga teckenkodningar)

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, de, eu, hu, id, pl, pt_BR, sr, sl@latin, sv

- Ny eller uppdaterad dokumentation: cs, de, es

1.6.3

2017-02-26

Felfixar:

- libunique (ibland bara kallat ”unique”) är nu valfritt via konfigurationsflagga

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, es, pl, pt_BR, ru, sr, sl@latin

- Ny eller uppdaterad dokumentation: cs, de, es

1.6.2

2016-11-06

Felfixar:

- Fixade problem bgo#398734 (Färg för markerade filer ändras inte då temafärger används)

- Postbredd för enhetslista sätts som samma som den längsta strängen i listan

- Fixade ett fel i det avancerade namnbytesverktyget vid användning av METATAG:ar

Nya funktioner:

- Etiketten ledigt utrymme på disk visas i statusraden om enhetslistan inte visas (fungerar efter att gcmd startats om)

- Kortkommandon kan tilldelas för:

  - Flytta markören upp eller ned (”Flytta markören ett steg upp/ned”)

  - Visning av bokmärken för aktuell enhet (”Visa bokmärken för aktuell enhet”)

- Nya eller uppdaterade översättningar: hu, de, pl, sr, sl@latin

- Ny eller uppdaterad dokumentation: cs

1.6.1

2016-10-18

Felfixar:

- Fixade problem bgo#638174 (Bakgrundsfärg för markering tillämpas inte vid användning av anpassade färger)

- Fixade problem bgo#773063 (Kompilerar med gcc6 -Werror=format-security, tack till Mamoru Tasaka)

Nya funktioner:

- Ny eller uppdaterad dokumentation: cs

1.6.0

2016-10-04

Felfixar:

- Fixade problem bgo#671616 (Poppuppmeny för högerklick med musen visas på fel plats, tack till Puux)

- Fixade problem bgo#683087 (Krasch vid öppning av egenskapsfönster för vissa objekt, tack till Puux)

- Fixade problem bgo#742752 (Gjorde dialogruta för alternativ storleksändringsbar och lade till rullningslister)

- Bevara fokuserad fil efter namnbyte med AdvRenDialog (Tack till Martin Mocko)

- Fixade problem bgo#767158 (Kortkommandon slutar fungera efter byte av layout)

- Fixade strängkontrollsekvenser för kataloger med et-tecken (se bgo#769309)

- Fixade problem bgo#770062 (Minnesläcka i GnomeCmdPlainPath, tack till Eric)

- Fixade problem bgo#770063 (Minnesläcka i get_string_pixel_size, tack till Eric)

Nya funktioner:

- Öppna alltid fliken som tidigare stängdes i alternativdialogen

- Samba-stöd finns nu valfritt tillgängligt genom konfigurationsflagga

- Konfigurerbart kommando för att skicka filer till ett föredraget program

- Knappen ”Redigera filer” accepterar mer än en markerad fil åt gången

- Enhetsknappar och poster i enhetslistor agerar som ”hemknappar” för den enheten då den redan är aktiv

- Kopiera katalogsökväg till urklipp efter högerklick på katalogindikator (Tack till Puux)

- Visa/dölj huvudmeny kan ställas in som en tangentbordsgenväg nu (Tack till Puux)

- Enkelt insticksmodulsystem för filsnabbvalsmeny (Tack till Puux)

- Visning av programikoner i poppuppmenyn ”Öppna med” (Tack till Puux)

- Skriv bokmärkesändringar omedelbart till fil, synkronisera bokmärken mellan alla instanser (Tack till Puux)

- Lagring av alternativ sker nu i dconf-databasen istället för en gnome-config-fil (se bgo#570733)

- Enheter och favoritprogram lagras nu i GKeyFile-formatet

- File Roller-insticksmodul kan använda strftime-mönster vid skapande av arkivnamnet

- Började användning av google-testramverk för enhetstester

- Nytt färgtema ”Vinter”

- Koduppstädning

- Ny eller uppdaterad dokumentation: cs, de, el, es

- Nya eller uppdaterade översättningar: bs, ca, cs, de, es, eu, fi, fr, hu, id, lt, nb, oc, pl, pt, pt_BR, ro, sk, sl, sr, sl@latin, sv, tr

Andra ändringar:

- Tog bort kommandot ”Öppna mapp” i poppuppmeny och användaråtgärder

1.4.9

2016-09-18

Felfixar:

- Fixade bgo#764306 (Stavfel och fel ord i strängar, tack till Anders Jonsson)

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, de, es, hu, hu, hu, id, pl, pt, ro, sk, sr, sr@latin, sv

- Ny eller uppdaterad dokumentation: cs, de, es

1.4.8

2016-03-14

Felfixar:

- Fixade problem bgo#761580 (Stöd gcc6 -Werror=format-security, tack till Mamoru Tasaka)

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, de, pl, pt, pt_BR, oc

- Ny eller uppdaterad dokumentation: cs, de

1.4.7

2015-05-30

Felfixar:

- Fixade problem bgo#745454 (Segmenteringsfel efter filsökning, tack till Mamoru Tasaka)

- Fixade problem bgo#749869 (Segmenteringsfel på den andra sökningen, tack till Mamoru Tasaka)

- Fixade problem bgo#734032 (Klick på .png-fil tittar på fel MIME-typ, tack till Mamoru Tasaka)

Nya funktioner:

- Nya eller uppdaterade översättningar: co

- Ny eller uppdaterad dokumentation: cs

1.4.6

2015-05-19

Felfixar:

- Fixade problem bgo#748869 (krasch efter sökning två gånger efter varandra)

- Fixade problem bgo#746003 (krasch vid öppnande av egenskapsdialog på ftp-katalog med ”udda” uid)

- Fixade problem bgo#747771 (filen appdata.xml översätts inte, tack till Dominique Leuenberger)

- Fixade problem bgo#653573 (Lösenord lagras i klartext i ./gnome-commander/connections)

- Fixade problem bgo#742752 (Gjorde dialogruta för alternativ storleksändringsbar och lade till rullningslister)

Nya funktioner:

- Nya eller uppdaterade översättningar: bs, el, pt

- Ny eller uppdaterad dokumentation: cs, el

1.4.5

2015-01-24

Felfixar:

- Fixade problem bgo#741316 (Appdata saknas i POT)

- Fixade problem bgo#742716 (Flaggan --start-right-dir kraschar gnome-commander)

- Tog bort python-2.6-stöd från gentoo ebuild

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, hu, id, sr, sr@latin

- Ny eller uppdaterad dokumentation: cs

1.4.4

2014-11-11

Felfixar:

- Fixade problem bgo#571495 (Migrerade från gnome_execute_shell till g_spawn_async)

- Fixade problem bgo#737088 (Stöd för annan användarterminal än gnome-terminal)

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, de, eu, fi, id, sr, sr@latin

- Ny eller uppdaterad dokumentation: cs, es

1.4.3

2014-06-22

Felfixar:

- Fixade problem bgo#731557 (Krasch vid dra-och-släpp via mus och filen redan existerar)

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, de, eu, fi

- Ny eller uppdaterad dokumentation: cs

1.4.2

2014-05-23

Felfixar:

- Fixade Gentoo-fel #509574 (Bytte från python-r1 till python-single-r1 i ebuild)

- Fixade problem bgo#367949 (Korrigerade async_xfer_callback-resultat för flytt av mappar)

- Fixade problem bgo#598161 (Markera text i intern visare på rader med TABB-tecken)

- Textmarkering i den interna visaren fungerar på rader med TABB-tecken (Tack till Jan Vleeshouwers)

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, el, sr, sr@latin

1.4.1

2014-04-05

Felfixar:

- Fixade problem bgo#641842 (Använd poppler-glib istället för popplers interna API)

- Fixade problem bgo#726682 (Patch för att fixa odefinierad referens till vtable)

- Stöd för utf8-kodade datum för skapande och ändring i dokumentmetadata

- Flyttade Sök, Snabbsök och Aktivera filter från menyn Redigera till Arkiv

Nya funktioner:

- Nya eller uppdaterade översättningar: cs, es, fr , id , pt_BR, sl

- Ny eller uppdaterad dokumentation: cs, es

1.4.0

2014-03-17

Felfixar:

- Fixade problem bgo#377463 (mkdir-dialogruta förlorar fokus)

- Fixade problem bgo#492479 (filersättningsfråga måste visa datum och storlek för filer)

- Fixade problem bgo#617140 (GNOME-mål: Använd åtkomstfunktioner istället för direkt åtkomst)

- Fixade problemen bgo#632064, bgo#632208, bgo#633107, bgo#633167, bgo#633331, bgo#634972, bgo#637873, bgo#638059 (fel i gnome-commander-help.master.po)

- Fixade problem bgo#660043 (kortkommandot ALT+NED inte dokumenterat)

- Fixade problem bgo#660268 (kom ihåg kataloghistorik mellan sessioner)

- Fixade problem bgo#667080 (borttagningsbekräftelse har standardvärdet JA/OK)

- Fixade Ubuntu-problem #117226 (bokmärkesunifiering)

- Fixade problem där markering med höger musknapp inte var precis

- Fixade problem bgo#696227 (upptäck och stöd libgsf >= 1.14.26)

- Fixade problem bgo#684527 (Fixade stavfel i strängar)

- Fixade problem bgo#660063 (definiera bindningen ALT+NED som användardefinierbar: view.dir_history)

- Fixade problem bgo#642178 (lås flikar för knapparna föregående/nästa)

Nya funktioner:

- Stöd för flikar

- Omarbetad dialogruta för bokmärken

- Omarbetad dialogruta för filegenskaper

- Enkelinstansläge

- Nytt färgtema: grön tiger

- Användardefinierade LS_COLORS-färger

- Möjlighet att markera/avmarkera endast filer

- Stöd för automatiska breddräknare i avancerat filnamnsbyte

- Förbättrad filnamnsmatchning i snabbsökning

- Öppna terminal med administratörsprivilegier

- Fråga för att bekräfta dra-och-släpp-åtgärder

- Högerklickspoppuppmeny för kopiering i intern visare

- Kommandoradsflagga --config-dir för anpassad plats för konfigurationsfiler

- Flera hastighetsförbättringar, inklusive C++-omarbete och kodupprensningar

- Ny python-insticksmodul: ”apply_patch”

- Tog bort trasig MIME-typskonfiguration

- Tog bort stöd för cvs-insticksmodul

- Ny eller uppdaterad dokumentation: cs, de, en, es, el, fr, ru, sl

- Nya eller uppdaterade översättningar: ca, cs, da, eo, es, eu, fr, hu, it, ja, ko, nb, pl, pt_BR, ro, ru, sl, sr, sr@latin, sv, uk, zh_CN

- Nya tangentbindningar:

  - Ctrl T Öppna katalog i ny flik (ersätter den gamla Multi-Rename-Tool-bindningen)

  - Ctrl W Stäng aktuell flik

  - Ctrl Skift W Stäng alla flikar

  - Ctrl TABB Växla till nästa flik

  - Ctrl Skift TABB Växla till föregående flik

  - SUPER 1 Ändra vänster anslutning

  - SUPER 2 Ändra höger anslutning

1.2.8.17

2014-01-12

Felfixar:

- Fixade problem bgo#721132 (Stöd bygge med -Werror=format-security)

- Uppdaterade plats för GCMD:s webbsida i källkod

Nya funktioner:

- Uppdaterade översättningar: es, id, pt_BR

1.2.8.16

2013-12-23

Felfixar:

- Fixade kompileringsproblem för gcc-4.7

- Fixade problem bgo#705724 (poppler >= 0.24)

- Fixade problem bgo#676303 (poppler >= 0.20.0)

Nya funktioner:

- Ny eller uppdaterad dokumentation: de, el, fr

- Uppdaterade översättningar: da, de, el, fr, hu, id, pt_br, ru, sl, th

1.2.8.15

2011-12-06

Felfixar:

- Fixade problem #65372 (saknade länkar i dokumentation för gcmd-1.2.8)

Nya funktioner:

- Ny eller uppdaterad dokumentation: cs, de, es, fr

- Uppdaterade översättningar: eo, es, sl

1.2.8.14

2011-10-04

Felfixar:

- Fixade problem #621756 (anpassad port för ftp sparas inte)

- Fixade problem #657780 (fel i nl.po)

1.2.8.13

2011-08-06

Felfixar:

- Fixade problem #646871 (krasch vid filegenskaper då ansluten till FTP)

1.2.8.12

2011-06-15

Felfixar:

- Fixade problem #618214 (krasch vid avbrott av en sökning)

- Fixade problem #640387 (ännu en fix för föråldrade python-moduler: md5, sha1)

- Fixade problem #649375 (bokmärken inte uppdaterade för nyligen tillagda sådana)

- Fixade problem med mkdir-rättigheter

1.2.8.11

2011-05-01

Felfixar:

- Fixade problem #639243 (missledande dokumentation för F2-kortkommando)

- Fixade problem #640387 (användning av föråldrade python-moduler: md5, sha1)

- Fixade problem med att starta GNOME Commander som root

- Fixade problem med översättning för traditionell kinesiska

Nya funktioner:

- Stöd för bakåt/framåt-musknappar

1.2.8.10

2011-01-15

Felfixar:

- Fixade problem #448941 (det numeriska tangentbordets pilar fungerar inte i huvudfönstret)

- Fixade problem #620275 (lägg till menyobjekt för att kopiera fullständig sökväg och filnamn till urklipp)

- Fixade problem #637501 (advrename: metataggpoppuppmeny visar fel objekt)

- Fixade problem med att växla markering för sökväg/basnamn/filnamn i dialogrutor för kopiering/flytt

- Fixade problem med sökning av sökväg för enheter

- Uppdaterade översättningar: de

1.2.8.9

2010-12-03

Felfixar:

- Fixade problem #352024 (F10-tangent fungerar inte)

- Fixade problem #631243 (advrename $c(width)-regression)

Nya funktioner:

- Stöd för jokertecken som i ett skal för snabbsökning

1.2.8.8

2010-09-09

Felfixar:

- Fixade problem #610764 (menyobjekt förblir inte ikryssat)

- Fixade problem #626469 (lägg till stöd för andra su-liknande program: xdg-su, gnomesu)

- Fixade problem med trasig spansk översättning

1.2.8.7

2010-07-27

Felfixar:

- Fixade problem #540438 (inget GUI-meddelande om meld inte kan exekveras)

- Fixade problem #616367 (”Filen hittades inte”-dialog efter uppstart)

- Fixade problem #620650 (buffertöverspill i load_fav_apps())

- Fixade problem #622456 (bygg inte insticksmoduler som delade biblioteksobjekt)

- Fixade problem med redigeringsalternativ för favoritprogram och enheter

1.2.8.6

2010-06-01

Felfixar:

- Fixade problemen #600292, #612685 (kraschar vid dubbelklick på ett bokmärke)

- Fixade problem #602795 (sökning i filinnehåll)

- Fixade problem #609912 (byggfel med --as-needed)

- Fixade problem #616891 (byggfel på RHEL 5.5)

Nya funktioner:

- Nya översättningar: ko

1.2.8.5

2010-02-13

Felfixar:

- Fixade problem #604558 (markör försvunnen/placerad på fel position)

- Fixade problem #604904 (byggfel på OpenSolaris)

- Fixade problem #609342 (visa inte mtime for ”..”)

- Fixade problem med att redigera anslutningar till Windows-nätverk

- Fixade problem med ej existerande användaråtgärder

1.2.8.4

2009-12-03

Felfixar:

- Fixade problem #602916 (ej fungerande menyobjekt)

- Fixade problem #603301 (krasch vid avbrott av symlänkskapande med ESC)

- Fixade Ubuntu-problem #369818 (felaktig sortering efter storlek i panel)

- Fixade problem med ej fungerande returknapp på numeriska tangentbordet i dialogrutan för kopiera/flytta

- Fixade problem med tangentbordslåsningar efter ALT+1/2 med dold enhetslista

1.2.8.3

2009-10-28

Felfixar:

- Fixade problem #541891 (filnamn med % i avancerat verktyg för namnbyte av filer)

- Fixade problem #581645 (obekväm snabbsökning)

- Fixade problem #596768 (byggvarningar för python)

- Fixade problem #596973 (byggfel för dokumentation)

- Fixed problem #597144 (saknat anrop till pclose)

- Fixade problem #597233 (validering av dokumentationsöversättningar)

- Fixade problem #597890 (fel argument skickade till meld)

- Fixade problem #598278 (minnesläcka)

1.2.8.2

2009-09-22

Felfixar:

- Fixade problem #591944 (rättigheter satta till 000 efter chmod)

- Fixade problem #595097 (byggfel för poppler >= 0.11.3)

- Fixade debian-fel #438884 (fel enhetsetikett vid växling av paneler med CTRL+U)

- Fixade problem med trasig filikon efter att ha bytt namn på en symbolisk länk

1.2.8.1

2009-08-10

Felfixar:

- Fixade problem #587325 (krasch i en ren chroot-miljö)

- Fixade problem #589108 (byggfel på openSUSE)

- Fixade problem #591206 (krasch under sysconf() på FreeBSD)

- Fixade problem med $c(16)-räknarformatering i avancerade filnamnsbytesmallar

1.2.8

2009-06-29

Felfixar:

- Fixade problem #375357 (krasch vid avbrytande av beräkning av katalogegenskaper)

- Fixade problem #536446 (filnamn inte fokuserat för namnbyte på plats)

- Fixade problem #539812 (krasch då filer tas bort: trasig it.po)

- Fixade problem #548947 (datumproblem för lokal som inte är UTF8)

- Fixade problem #548948 (krasch när hemkatalog innehåller tecken som inte är UTF8)

- Fixade problem #548961 (stöd för inmatningsmetod vid namnbyte eller snabbsök)

- Fixade problem #554586 (AC_PROG_CXX-makroproblem)

- Fixade problem #554598 (GNOME-mål: LINGUAS)

- Fixade problem #556664 (bokmärken kan inte sparas för monterade enheter)

- Fixade problem #567404 (krasch då INSERT tryckts ned över underkatalog)

- Fixade problem #556836 (panel rullar ner vid flytt mellan paneler)

- Fixade problem #567506 (långsam uppstart för system med många användare)

- Fixade problem #570727 (användning av föråldrad gnome_url_show)

- Fixade problem #571239 (ersätt föråldrad GnomeColorPicker med GtkColorButton)

- Fixade problem #571247 (ersätt föråldrad GnomePixmap med GtkImage)

- Fixade problem #571558 (ersätter föråldrade GNOME_STOCK_*-knappar med GTK_STOCK_*-motsvarigheter)

- Fixade problem #576174 (skiftlägesokänslig filnamnssortering i lokal skild från en_US.utf8)

- Fixade problem #579633 (komma åt administratörsprivilegier med gksudo)

- Fixade problem #583135 (inaktiverad ”Gå till”-knapp i sökdialog)

- Fixade problem #583711 (krasch vid tryck av ESC i bokmärkesdialog)

- Fixade problem #584727 (fel positionering för filpoppuppmeny)

- Fixade problem med att ställa in samma panelstorlek i horisontellt läge

- Fixade problem med att uppdatera MIME-information efter namnbyte av fil

Nya funktioner:

- Stöd för PDF-metataggar i avancerade filnamnsbytesmallar

- Omarbetade det avancerade filnamnsbytesverktyget (bakåtreferenser för reguljära uttryck (”\tal”), profiler, skiftlägeskonvertering, blankstegstrimning och mycket mer)

- Stöd för metadatataggar i internt visningsprogram

- Stöd för läge där enkelklick öppnar filer

- Stöd för radalternerande bakgrund i färgteman

- Nytt färgtema: cafezinho

- Ny eller uppdaterad dokumentation: de, en, es

- Nya eller uppdaterade översättningar: ar, cs, de, es, eu, fr, it, ja, pl, pt_BR, sl, sv

- Nya tangentbindningar:

  - Ctrl E Öppna historiklistan för kommandoraden

- Nya tangentbindningar för internt visningsprogram:

  - T Visa metadatataggar (ersätter det gamla E)

  - ALT RETUR Visa metadatataggar

1.2.7

2008-07-28

Felfixar:

- Fixade problem #522430 (snabbsökning för filer som startar med stor bokstav)

- Fixade problem #532615 (filåtgärder på fel fil)

- Fixade problem #538806 (snabbsökning i rotkatalog)

- Fixade problem #539753 (byggfel på Solaris)

- Fixade problem #541404 (uppdatering av värdnamn)

- Fixade problem med filsortering i avancerat verktyg för namnbyte av filer

- Byggfixar

Nya funktioner:

- Stöd för alla GnomeVFS-nätverksprotokoll (inklusive SSH+FTP och WebDAV)

- Användardefinierade kortkommandon till godtyckliga program

- Kopiera markerade URI:er till urklipp med ALT klick på verktygsfältsknapp

- Omarbetad dialogruta för sökning

- Omarbetad dialogruta för överföringsförlopp

- Uppdaterad hjälpdokumentation

- Nya eller uppdaterade översättningar: cs, de, es, fr, it, ja, oc, pl, pt_BR

1.2.6

2008-06-01

Felfixar:

- Fixade problem #392959 (dynamiskt ändra användare till root)

- Fixade problem #496150 (rullning med mushjul)

- Fixade problem #499761 (sökfönster töms då kolumn sorteras)

- Fixade problem #499764 (problem vid flermarkering)

- Fixade problem med sortering av UTF-8-kodade filnamn

- Fixade problem med att kopiera filer till symlänkade kataloger

- Fixade problem med hantering av fullständig filsökväg vid kopiering/flytt till monterade enheter

Nya funktioner:

- Root-läge för att starta GNOME Commander med administratörsprivilegier

- GUI för hantering av tangentbordsgenvägar

- Öppna aktuell katalog i filhanteraren Nautilus

- Multi-Rename-Tool - nya platshållare $x och $X för slumpmässiga hexadecimala tal

- Omarbetad dialogruta för sökning

- Stöd för modifierarna <super>, <hyper> och <meta> (sedan GTK+ 2.10)

- Uppdaterad hjälpdokumentation

- Nya eller uppdaterade översättningar: cs, de, en_GB, es, eu, fi, fr, hu, it, oc, pl, sl

- Nya tangentbindningar:

  - SUPER F Sök filer

1.2.5

2008-02-29

Felfixar:

- Fixade problem #345314 (markör stannar inte på fil vid namnbyte)

- Fixade problem #353889 (försvinnande filer efter misslyckad flytt (F6))

- Fixade problemen #346286, #424447, #447882, #467058 (krasch vid användning av reguljära uttryck i namnbytesverktyg)

- Fixade problemen #365227 och #446361 (byggproblem på Solaris)

- Fixade problem #424159 (kolumnsorteringsproblem)

- Fixade problem #434545 (Debian-fel #421480: ENORMA ikoner för enhetsikoner)

- Fixade problem #447415 (oförmåga att köra exekverbara filer)

- Fixade problem #448942 (SKIFT+ENTER: köra ett kommando i en separat terminal)

- Fixade problem #449137 (kataloger som bytt namn går ej komma åt via namn)

- Fixade problem #468685 (krasch i python-modul)

- Fixade problem #490431 (visa filer med namn innehållande ”%”)

- Fixade problem #508565 (felaktig utf-8-hantering i verktyg för avancerat namnbyte av filer)

- Fixade problem #510567 (misslyckad assert då katalog tas bort)

- Fixade problem vid skapande av ~/kat

- Fixade problem med uppdatering av statusrad för internt visningsprogram

- Fixade krasch vid skapande av katalog med absolut sökväg på SMB-delning

- Fixade krasch vid flytt av fil med % i namnet

- Fixade problem med sporadiskt försvunnen markör i filpanel

- Fixade problem med montering av enheter med blanksteg i namnet

- Fixade problem med historik för advrename-mallar

- Byggfixar

Nya funktioner:

- Stöd för APE-, FLAC- och Vorbis-metataggar i avancerade filnamnsbytesmallar

- Stöd för Exif-makernote-metataggar i avancerade filnamnsbytesmallar

- Stöd för filmetataggar i avancerade filnamnsbytesmallar

- Använd GNOME authentication manager för användarens säkerhetsuppgifter

- Metadatataggar i dialogrutan för filegenskaper

- Öppna terminal i aktuell katalog

- Standard-GNOME-temaikoner för hem-, SMB- och FTP-platser

- Användardefinierade kortkommandon till bokmärken

- Skicka filer via e-post eller snabbmeddelandeklient (med nautilus-sendto)

- Uppdaterad hjälpdokumentation

- Nya eller uppdaterade översättningar: ar, bg, cs, de, dz, eo, es, eu, fr, oc, pl, pt_BR, ro, sl, sv

- Nya tangentbindningar:

  - Ctrl VÄNSTER/HÖGER Kopiera den aktuella arbetskatalogen från den aktiva fillistan till den inaktiva

  - Ctrl N Öppna ny anslutning till fjärrserver (ersätter det gamla Ctrl G)

1.2.4

2007-06-09

Felfixar:

- Fixade problem med att öppna kataloger med intern visare

- Fixade problem med att redigera kataloger för GNOME Commander

- Fixade problem #351952 (krasch under en innehållssökning)

- Fixade problem #352253 (rullningsbeteende för visaren)

- Fixade problem #360175 (krasch vid inmatning av en katalog med %)

- Fixade problemen #371948 och #388970 (filsökväg inte försedd med kontrollsekvens)

- Fixade problem #412162 (bygg med --enable-python=no)

- Byggfixar

Nya funktioner:

- Stöd för python-insticksmoduler

- Nya python-insticksmoduler:

  - `md5sum` Skapa MD5-kontrollsumma (128-bit)

  - `sha1sum` Skapa SHA-1-kontrollsumma (160-bit)

- Stöd för OLE- och ODF-metataggar i avancerade filnamnsbytesmallar

- Användardefinierade kortkommandon

- SMB-autentisering

- Visa total storlek för filer i markerade underkataloger

- ”cd -” för att ändra till föregående arbetskatalog

- Mer intuitiv användning av diff-verktyg

- Katalogsynkronisering

- Skapa kataloger som ”mkdir -p”

- Uppdaterad hjälpdokumentation

- Nya eller uppdaterade översättningar: ar, bg, cs, dz, en_GB, fr, it, oc, pl, sl, sv

- Nya tangentbindningar:

  - Ctrl\ Gå till rotkatalogen

  - Ctrl` Gå till hemkatalogen

  - Ctrl 5 Skapa MD5-kontrollsumma (128-bit)

  - Ctrl Skift C Kopiera markerade filnamn till urklipp

1.2.3

2006-12-11

Felfixar:

- Fixade problem #384752 (fel rättigheter för nya kataloger)

1.2.2

2006-12-11

Felfixar:

- Fixade problem med skapande av symlänk för markering av flera filer

- Fixade problem med gruppering av filstorlekssiffror

- Fixade problem med SMB UNC-hantering

- Fixade problem #367744 (filnamn visas inte korrekt)

- Fixade problem #374282 (sökning med rekursiva symlänkar)

- Fixade problem #377706 (markera filer med SKIFT+PGDN)

Nya funktioner:

- Stöd för ID3-metataggar i avancerade filnamnsbytesmallar

- Uppdaterad hjälpdokumentation

- Nya eller uppdaterade översättningar: ar, en_GB, es, fi, it, pl, sv

- Nya tangentbindningar:

  - Ctrl Skift= Ställ in båda panelerna till samma storlek

1.2.1

2006-10-16

Felfixar:

- Fixade problem med scrollkeeper-databasuppdatering

- Fix för krasch när kommandokatalogindikator är tom

- Fixade problem med att uppdatera efter chown eller chmod

- Fixade problem #333898 (föråldrat ikonsuffix i desktop-fil)

- Fixade problem #347561 (insticksmodulkatalog felaktigt inställd)

- Fixade problem #347817 (felaktig användning av Makefile-länkarflaggor)

Nya funktioner:

- Stöd för arkiv (gz, bz2, zip, lha, rar, jar, 7-zip, zoo, deb, rpm) via FileRoller-insticksmodul

- Nya python-liknande index för avancerade filnamnsbytesmallar

- Stöd för Exif- och IPTC-metataggar i avancerade filnamnsbytesmallar

- Snabb åtkomst till advrename-mallplatshållare

- Namnbyte på plats (SKIFT+F6)

- Omarbetade programmenyer

- ”Sök”-funktion för intern visare

- Ny ikon för internt visningsprogram

- Uppdaterad hjälpdokumentation

- Nya eller uppdaterade översättningar: ca, cs, de, el, en_GB, es, eu, fi, hu, it, ne, pl, ru, sv, vi

- Nya tangentbindningar:

  - Ctrl Skift H Visa/dölj dolda filer

1.2.0

2006-05-12

Felfixar:

- Fixade problem #171051 (kraschar vid sökning med ej existerande sökväg)

- Fixade problem med avsaknad av gnome-menyobjekt

- Fixade en krasch vid visning av SMB-anslutningar

- Fixade problem #309877 (märkliga artefakter vid horisontell rullning)

- Fixade problem #332258 (parameter för vänster/höger startkatalog)

- Fixade problem #332261 (exec_prefix inte tolkat korrekt under configure/makefile)

- Fixade problem #336649 (talrepresentation av rättigheter)

- Fixade problem med krascher vid användning av trasiga eller ej matchande regex-mönster i advrename

Nya funktioner:

- Övervakning av monterade volymer

- Det interna visningsprogrammet har skrivits om

- Externa verktyg och Exif/IPTC-taggvisare för den interna visaren

- Zoomning för internt visningsprogram

- Textmarkering för internt visningsprogram

- Omarbetad verktygsfältslayout

- Alternativ för att styra överskrivning vid kopiering och flytt

- Kopiera markerade fullständiga filsökvägar med SKIFT+klick på verktygsfältsknapp

- Bättre hantering av ändring av kolumnsorteringsnyckeln

- Inledande ramverk för dokumentation

- Nya eller uppdaterade översättningar: de, es, eu, hu, pl, ro, ru, sl, sv, vi

- Nya tangentbindningar:

  - Skift F3 Internt visningsprogram

  - ALT F3 Externt visningsprogram

  - ALT+bokstäver Snabbsök

  - Ctrl Skift A Avmarkera alla filer

1.1.7

2006-02-12

Felfixar:

- Fixade krasch vid försök att kopiera de aktuellt markerade filerna

- Fixade kontrollsekvenser för filnamn

- Fixade dålig respons för CTRL+ALT+bokstav vid för snabb inmatning

- Fixade debian-fel #288933 (kompileringsfel för amd64/gcc-4.0)

- Fixade problem #138933 (oändlig rekursion då en katalog dras och släpps till sig själv)

- Fixade problem med att frånkopplingsknappen inte betedde sig korrekt vid anslutning till ftp-servrar då vi är i supermount-läge

- Fixade uppdatering efter namnbyte utan FAM

Nya funktioner:

- Ny GNOME Commander-logotyp

- La till en intern F3-visare

- Kopiera markerade filnamn till urklipp

- Infogande av fullständig sökväg för markerad fil till kommandoraden med CTRL+SKIFT+RETUR

- Multi-Rename-Tool - ny platshållare $g för katalog två steg upp i hierarkin

- Vekrtygsfältsknappar (klipp ut, kopiera och klistra in) är nu känsliga för aktuellt tillstånd

- Dialogrutan Hantera bokmärken är nu även åtkomlig via bokmärkeskortkommandot

- Nya eller uppdaterade översättningar: el, en_CA, en_GB, eu, ga, hu, nb, ne, no, pa, pt_BR, rw, uk, zh_TW

- Nya tangentbindningar:

  - Ctrl M Multi-Rename-Tool

  - Ctrl Skift. Kopiera den aktuella arbetskatalogen från den aktiva fillistan till den inaktiva

  - Ctrl= Markera alla filer

  - Ctrl- Avmarkera alla filer

  - = Markera filer efter mönster

1.1.6

2004-01-20

Felfixar:

- Fixade krasch vid navigering bakåt i historiken följt av att gå in i en annan katalog

- Fixade problem med ftp-snabbanslutning

- Snabbsökningsfunktionen kan nu också startas genom att skriva versaler

- CTRL+ALT behöver inte längre användas för att aktivera snabbsökning när kommandoraden är dold

Nya funktioner:

- Uppdaterade cvs-insticksmodulen så att den kan användas för att ta diff och log på filer

- Använd fet text istället för understruken i katalogindikatorn när den fokuseras med muspekaren

- Etiketten cwd är nu markerbar (den till vänster om kommandoraden)

- Tog bort menyobjektet ”Spara position”. Storlek och position sparas nu istället automatiskt

- La till knapp till katalogindikatorn för att poppa upp kataloghistoriken

- La till historik för dialogrutorna markera och avmarkera med mönster

- Sorteringskolumn och riktning koms nu ihåg

- Nya tangentbindningar:

  - F2 Öppna dialogrutan för namnbyte

  - SKIFT+F10 Ta fram filsnabbvalsmenyn (Windows menytangent fungerar också)

  - Ctrl. Kopiera den aktuella arbetskatalogen från den inaktiva fillistan till den aktiva

1.1.5

2004-01-12

Felfixar:

- Kolumnen ext döljs nu när filändelsen endast visas tillsammans med filnamnet

- Fixade onödigt omritande av fillistan när filer dras över den

- Fixade problem med ftp-anslutningar som inte försvann från anslutningsverktygsfälten då de kopplades från

- Programmet försöker inte längre centrera sig på skrivbordet

- Fixade problem med namnbyte av kataloger

Nya funktioner:

- Katalogindikatorn ovanför varje fillista kan nu användas för att navigera uppåt i katalogstrukturen

1.1.4

2003-11-24

Felfixar:

- Fixade fel vid markering av flera filer med skift+musknapp

- Stoppade överflödiga uppdateringar av fillistan på maskiner där imon-kernelpatchen har tillämpats

- Städade upp filpoppuppmenyn

- Fixade ”Filen hittades inte”-fel vid bläddring till överordnad katalog när den överordnade katalogen innehöll blanksteg

- Fixade möjligt async-fel vid avbrott av en överföringsoperation

- Omarbetade layoutfliken och tog bort färgfliken i dialogrutan för alternativ

- Förbättrat insticksmodulsystem

1.1.3

2003-11-14

Felfixar:

- Fixade en krasch som inträffade vid flytt av filer på en maskin med en snabb FAM-installation. Detta ledde till att GNOME Commander försökte ta bort samma fil två gånger från en lista

- Att komma åt filer på monterade enheter ska nu fungera bättre

- Enheter utan enhetsfilnamn bör inte längre försvinna

- Fixade så att funktionen där terminalfönstret förblir öppet efter att ett program har slutförts fungerar mer pålitligt

- Fixar fel där en ny katalog skulle dyka upp många gånger i samma fillista tills den läses in på nytt

Nya funktioner:

- Borttagningsbekräftelsen kan nu inaktiveras

- Bättre felmeddelanden då en montering misslyckas

- Gjorde så beräkningen av en katalogs totala storlek startar automatiskt då dialogrutan för filegenskaper visas

- La till filter för säkerhetskopior och la till det och filtret för dolda filer till huvudmenyn för snabbare åtkomst

1.1.2

2003-11-07

Felfixar:

- Mycket bättre hantering av filnamn som inte är UTF8

- Tog bort osäkert uri-skapande

Nya funktioner:

- Tre sätt att visa med filändelser

1.1.1

2003-11-05

Felfixar:

- Slutade visa filändelsen i både namnkolumnen och kolumnen ext

- Fixade krascher som inträffade vid bläddring i kataloger

- Fixade uppdateringsproblem vid kopiering och flytt av filer

- Anslutningskombinationsrutorna ska nu visa korrekt anslutning som är vald hela tiden

- Tog bort några fel relaterade till att markera filer med tangentbordet

- Fixade funktionen för att redigera mime-typer

Nya funktioner:

- La till en knapp för att ändra standard-MIME-program i dialogrutan för filegenskaper

1.1.0

2003-11-01

Nya funktioner:

- SMB-bläddring

- Insticksmoduler

- Stor omskrivning av mycket kod

1.0.1

2003-06-27

Felfixar:

- Förbättrad uppdatering av fillista i fam-löst läge

- Tomma kataloger kan nu anges på ftp-servrar

1.0 | 2003-06-05 | Detta är den ”produktionsstabila” 1.0-utgåvan. Mestadels små felfixar från föregående version.
0.9.12 | 2003-03-18 | Felfixar
0.9.11 | 2003-03-13 | La till stöd för $p i advrename-dialogen. Detta kommer ge dig den överordnade katalogen. Fixade ett fel där borttagning av en katalog ibland bara tömde katalogen utan att ta bort den. Fixade så att katalogen ”..” är synlig i ftp-sessioner.
0.9.10 | 2003-03-24 | Fixade ett bildinläsningsfel vid användande av andra teman än standardtemat. Ny bokmärkesfunktion. Ny mallfunktion i dialogrutan för avancerat namnbyte. Se doc/advrename.txt i tarbollen för detaljer. Trevligare dialogruta för filegenskaper med stöd för att byta namn. Att dra filer till katalogen ”..” är nu möjligt. Verktygsfältet och knappraden kan nu döljas.
0.9.9 | 2003-01-19 | Förbättrade det avancerade namnbytesverktyget. La till en funktion för snabb anslutning. Förbättrad sökdialog och fixade några fel i den. La till ett standard-MIME-ikontema med låg upplösning. Fick filpoppuppmenyn att uppföra sig mer normalt.
0.9.8 | 2002-07-16 | Nya saker i denna utgåva är automatisk rullning vid dra-och-släpp, bättre snabbsökning, montering och avmontering, uppdatering av fillistor utan FAM, historik över senast besökta kataloger med mera.
0.9.7 | 2002-06-07 |
0.9.6 | 2002-04-04 | MIME-stöd har lagts till och fel har fixats.
0.9.5 | 2002-03-27 | La till en inbäddad terminal och fixade några fel.
0.9.4 | 2002-03-21 | Lade till stöd för FAM, dra-och-släpp med mera.
0.9.2 | 2002-03-09 | Förbättrad stabilitet och färre minnesläckor. CVS är inaktiverat tills det faktiskt fungerar bra.
0.91-pre1 | 2002-02-06 | Förbättrat användargränssnitt och många andra små hack.
0.90-pre1 | 2001-08-02 | Den första offentliga versionen av GNOME Commander.